## openal-soft 1.9.563

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,8 +47,8 @@
 ENDIF()
 
 SET(LIB_MAJOR_VERSION "1")
-SET(LIB_MINOR_VERSION "8")
-SET(LIB_BUILD_VERSION "466")
+SET(LIB_MINOR_VERSION "9")
+SET(LIB_BUILD_VERSION "563")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_BUILD_VERSION}")
 IF(NOT DEFINED LIB_INSTALL_DIR)
   SET(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
@@ -252,6 +252,7 @@
 
 SET(OPENAL_OBJS  OpenAL32/alAuxEffectSlot.c
                  OpenAL32/alBuffer.c
+                 OpenAL32/alDatabuffer.c
                  OpenAL32/alEffect.c
                  OpenAL32/alError.c
                  OpenAL32/alExtension.c
