## openal-soft 1.11.753

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 IF(COMMAND CMAKE_POLICY)
   CMAKE_POLICY(SET CMP0003 NEW)
 ENDIF(COMMAND CMAKE_POLICY)
+
+SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
 INCLUDE(CheckFunctionExists)
 INCLUDE(CheckLibraryExists)
@@ -47,8 +49,8 @@
 ENDIF()
 
 SET(LIB_MAJOR_VERSION "1")
-SET(LIB_MINOR_VERSION "9")
-SET(LIB_BUILD_VERSION "563")
+SET(LIB_MINOR_VERSION "11")
+SET(LIB_BUILD_VERSION "753")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_BUILD_VERSION}")
 IF(NOT DEFINED LIB_INSTALL_DIR)
   SET(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
@@ -73,6 +75,18 @@
     SET(CMAKE_DEBUG_POSTFIX "" CACHE STRING
         "Library postfix for debug builds. Normally left blank."
         FORCE)
+ENDIF()
+
+IF(NOT DXSDK_DIR)
+    STRING(REGEX REPLACE "\\\\" "/" DXSDK_DIR "$ENV{DXSDK_DIR}")
+ELSE()
+    STRING(REGEX REPLACE "\\\\" "/" DXSDK_DIR "${DXSDK_DIR}")
+ENDIF()
+IF(DXSDK_DIR)
+    MESSAGE(STATUS "Using DirectX SDK directory: ${DXSDK_DIR}")
+    SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${DXSDK_DIR}/Include")
+    INCLUDE_DIRECTORIES("${DXSDK_DIR}/Include")
+    LINK_DIRECTORIES("${DXSDK_DIR}/Lib")
 ENDIF()
 
 IF(MSVC)
@@ -122,6 +136,9 @@
     ENDIF()
 ENDIF()
 
+CHECK_C_SOURCE_COMPILES("int foo(const char *str, ...) __attribute__((format(printf, 1, 2)));
+                         int main() {return 0;}" HAVE_GCC_FORMAT)
+
 CHECK_INCLUDE_FILE(fenv.h HAVE_FENV_H)
 CHECK_INCLUDE_FILE(float.h HAVE_FLOAT_H)
 
@@ -138,6 +155,7 @@
 CHECK_FUNCTION_EXISTS(strtof HAVE_STRTOF)
 CHECK_FUNCTION_EXISTS(_controlfp HAVE__CONTROLFP)
 
+CHECK_FUNCTION_EXISTS(stat HAVE_STAT)
 CHECK_FUNCTION_EXISTS(strcasecmp HAVE_STRCASECMP)
 IF(NOT HAVE_STRCASECMP)
     CHECK_FUNCTION_EXISTS(_stricmp HAVE__STRICMP)
@@ -213,21 +231,33 @@
         MESSAGE(FATAL_ERROR "No sleep function found!")
     ENDIF()
 
+    CHECK_C_COMPILER_FLAG(-pthread HAVE_PTHREAD)
+    IF(HAVE_PTHREAD)
+        ADD_DEFINITIONS(-pthread)
+        SET(EXTRA_LIBS ${EXTRA_LIBS} -pthread)
+    ENDIF()
+
     # We need pthreads outside of Windows
     CHECK_INCLUDE_FILE(pthread.h HAVE_PTHREAD_H)
     IF(NOT HAVE_PTHREAD_H)
         MESSAGE(FATAL_ERROR "PThreads is required for non-Windows builds!")
     ENDIF()
-
     # Some systems need pthread_np.h to get recursive mutexes
     CHECK_INCLUDE_FILES("pthread.h;pthread_np.h" HAVE_PTHREAD_NP_H)
 
     # _GNU_SOURCE is needed on some systems for extra attributes, and
     # _REENTRANT is needed for libc thread-safety
-    ADD_DEFINITIONS(-D_GNU_SOURCE=1 -D_REENTRANT)
+    ADD_DEFINITIONS(-D_GNU_SOURCE=1)
     CHECK_LIBRARY_EXISTS(pthread pthread_create "" HAVE_LIBPTHREAD)
     IF(HAVE_LIBPTHREAD)
         SET(EXTRA_LIBS pthread ${EXTRA_LIBS})
+    ENDIF()
+
+    CHECK_LIBRARY_EXISTS(pthread pthread_setschedparam "" HAVE_PTHREAD_SETSCHEDPARAM)
+
+    CHECK_LIBRARY_EXISTS(rt clock_gettime "" HAVE_LIBRT)
+    IF(HAVE_LIBRT)
+        SET(EXTRA_LIBS rt ${EXTRA_LIBS})
     ENDIF()
 ENDIF()
 
@@ -344,36 +374,3 @@
             SET(CMAKE_REQUIRED_LIBRARIES "")
 #            CHECK_LIBRARY_EXISTS(winmm waveInOpen "" HAVE_LIBWINMM)
             IF(HAVE_LIBWINMM)
-                SET(EXTRA_LIBS winmm ${EXTRA_LIBS})
-            ENDIF()
-        ENDIF()
-    ENDIF()
-ENDIF()
-
-# Check PortAudio backend
-IF(PORTAUDIO)
-    CHECK_INCLUDE_FILE(portaudio.h HAVE_PORTAUDIO_H)
-    IF(HAVE_PORTAUDIO_H)
-        CHECK_LIBRARY_EXISTS(portaudio Pa_Initialize "" HAVE_LIBPORTAUDIO)
-        IF(HAVE_LIBPORTAUDIO)
-            SET(HAVE_PORTAUDIO 1)
-            SET(ALC_OBJS  ${ALC_OBJS} Alc/portaudio.c)
-            IF(HAVE_DLFCN_H)
-                SET(BACKENDS  "${BACKENDS} PortAudio,")
-            ELSE()
-                SET(BACKENDS  "${BACKENDS} PortAudio \(linked\),")
-                SET(EXTRA_LIBS portaudio ${EXTRA_LIBS})
-            ENDIF()
-        ENDIF()
-    ENDIF()
-ENDIF()
-
-# Check PortAudio backend
-IF(PULSEAUDIO)
-    CHECK_INCLUDE_FILE(pulse/pulseaudio.h HAVE_PULSE_PULSEAUDIO_H)
-    IF(HAVE_PULSE_PULSEAUDIO_H)
-        CHECK_LIBRARY_EXISTS(pulse pa_context_new "" HAVE_LIBPULSE)
-        IF(HAVE_LIBPULSE)
-            SET(HAVE_PULSEAUDIO 1)
-            SET(ALC_OBJS  ${ALC_OBJS} Alc/pulseaudio.c)
-            IF(HAVE_DLFCN_H)
