=== debian/changelog ===
openal-soft (1:1.11.753-1) unstable; urgency=low

  * New upstream release.
  * Provides better compatibility with newer PulseAudio libraries.
    (Closes: #566634)
  * Fix issue where certain apps would hang while using pulse as the backend.
    (Closes: #562524)
  * Bump Standards-Version to 3.8.4.
  * Update openal-soft-get-orig-source script.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 08 Feb 2010 15:58:01 -0500

openal-soft (1:1.10.622-1) unstable; urgency=low

  * New upstream release.
  * Issue with using PulseAudio backend fixed.
    (Closes: #548373)
    (Closes: #551018)
  * Switch to Debian source format 3.0 (quilt).

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 25 Nov 2009 14:59:51 -0500

openal-soft (1:1.9.563-2) unstable; urgency=low

  * Add phony target for "build" since there's a "build" directory in the source
    tree.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 15 Oct 2009 19:37:17 -0400

openal-soft (1:1.9.563-1) unstable; urgency=low

  * Update openal-soft-get-orig-source script to download new release.
  * Imported Upstream version 1.9.563
  * hurd_build_fix.patch is no longer needed, applied upstream.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 09 Oct 2009 21:27:54 -0400

openal-soft (1:1.8.466-3) unstable; urgency=low

  * Change development package back to a arch-dependent package.
  * Bump Standards-Version to 3.8.3.
  * Add patch to fix build failures on Hurd. (Closes: #534327)
  * Add README.source to explain use of quilt patch system.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 20 Aug 2009 22:39:33 -0400

openal-soft (1:1.8.466-2) unstable; urgency=low

  * libopenal-dev is now arch-independent, so change Architecture field
    to 'all'.
  * Bump Standards-Version to 3.8.2. No other changes needed.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 20 Jun 2009 23:38:17 -0400

openal-soft (1:1.8.466-1) unstable; urgency=low

  * Drop openal-config and static library.
  * Update binary package descriptions.
  * (cosmetics) Tidy up Uploaders and Build-Depends field.
  * Modify script for new upstream version.
  * Upload new upstream release 1.8.466.
  * Specifically Build-Depend on debhelper (>= 7.0.50).
  * Remove current patches as they've been applied upstream.
  * Add in support for PortAudio and PulseAudio.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 09 Jun 2009 20:29:11 -0400

openal-soft (1:1.7.411-3) unstable; urgency=low

  * Add main upstream contact to debian/copyright.
  * Install upstream supplied openal.pc file.
  * Patch CMakeLists.txt to install alsoft.conf.
  * Switch ordering patches are installed.
  * Add patches to install openal-config and manpage through build system.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 17 May 2009 01:03:03 -0400

openal-soft (1:1.7.411-2) unstable; urgency=low

  * Fix alsoftrc.conf. (Closes: #527984)
  * Update TODO.Debian
  * Update watch file to default DEHS would use.
  * Take advantage of debhelper 7 features.
  * Use libopenal-dev.manpages to install openal-config.1 manpage
  * Remove unnecessary need to prepend debian/tmp/ in paths for *.install files.
  * Add ${misc:Depends} in Depends field for binary packages. Silences lintian
    warnings.
  * Use 'install' instead of 'mkdir/cp' to install extra files.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 16 May 2009 15:59:15 -0400

openal-soft (1:1.7.411-1) unstable; urgency=low

  [ Paul Wise ]
  * Drop bogus libopenal0/libopenal0a Replaces (Closes: #519995)

  [ Andres Mejia ]
  * New upstream release. (Closes: #506493)
  * Removed deinit-move.patch and no-init-force.patch, they're applied upstream.
  * Performed quilt refresh on remaining patch.
  * Updated watch file.
  * Bumped Standards-Version to 3.8.1.
  * Address lintian info message 'binary-control-field-duplicates-source field
    "section" in package libopenal1'.
  * Address lintian info message 'copyright-with-old-dh-make-debian-copyright'.
  * Address lintian warning 'wrong-section-according-to-package-name
    libopenal1-dbg => debug'.
  * Update version in openal.pc.
  * Update version in openal-config.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 05 May 2009 01:57:29 -0400

openal-soft (1:1.4.272-2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Pulled upstream commits e66bb09156bb69725f91b2 and eba60c30c5e1676786b33b
    to fix an (de)initialization issue that produces segfaults when doing
    autofoo in some special circumstances.
  * Add removal of quilt's .pc directory when cleaning up, too.
  * quilt refresh patch(es).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 10 Aug 2008 01:04:30 +0200

openal-soft (1:1.4.272-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release.
  * Change Priority of packages to optional, except for debug package.
  * Fix manpage for openal-config. Closes: #464676
  * Fix typo for development package description. Closes: #465310

  [ Reinhard Tartler ]
  * loosen shlibs dependencies. We don't need tight dependencies on
    libopenal1.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Jul 2008 10:50:55 +0200

openal-soft (1:1.3.253-5) unstable; urgency=low

  [ Andres Mejia ]
  * Exclude libasound2-dev dependency for kfreebsd and hurd kernels.
  * Bumped to Standards-Version 3.8.0 (no changes required).
  * Add watch file.

  [ Reinhard Tartler ]
  * reenable building of libopenal-dev.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Jun 2008 10:32:20 +0200

openal-soft (1:1.3.253-4) unstable; urgency=low

  * fix debian/copyright. Package is LGPL not GPL.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jun 2008 15:31:47 +0200

openal-soft (1:1.3.253-3) unstable; urgency=low

  * upload to unstable as discussed with the debian release team. See
    http://lists.debian.org/debian-release/2008/06/msg00163.html for details.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 09 Jun 2008 10:45:07 +0200

openal-soft (1:1.3.253-2) experimental; urgency=low

  [ Andres Mejia ]
  * Fix typo in copyright file.
  * Update Cyril's email address.


