## openal-soft 1.12.854

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 INCLUDE(CheckFunctionExists)
 INCLUDE(CheckLibraryExists)
+INCLUDE(CheckSharedLibraryExists)
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckIncludeFiles)
 INCLUDE(CheckSymbolExists)
@@ -49,8 +50,8 @@
 ENDIF()
 
 SET(LIB_MAJOR_VERSION "1")
-SET(LIB_MINOR_VERSION "11")
-SET(LIB_BUILD_VERSION "753")
+SET(LIB_MINOR_VERSION "12")
+SET(LIB_BUILD_VERSION "854")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_BUILD_VERSION}")
 IF(NOT DEFINED LIB_INSTALL_DIR)
   SET(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
@@ -75,18 +76,6 @@
     SET(CMAKE_DEBUG_POSTFIX "" CACHE STRING
         "Library postfix for debug builds. Normally left blank."
         FORCE)
-ENDIF()
-
-IF(NOT DXSDK_DIR)
-    STRING(REGEX REPLACE "\\\\" "/" DXSDK_DIR "$ENV{DXSDK_DIR}")
-ELSE()
-    STRING(REGEX REPLACE "\\\\" "/" DXSDK_DIR "${DXSDK_DIR}")
-ENDIF()
-IF(DXSDK_DIR)
-    MESSAGE(STATUS "Using DirectX SDK directory: ${DXSDK_DIR}")
-    SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${DXSDK_DIR}/Include")
-    INCLUDE_DIRECTORIES("${DXSDK_DIR}/Include")
-    LINK_DIRECTORIES("${DXSDK_DIR}/Lib")
 ENDIF()
 
 IF(MSVC)
@@ -96,6 +85,20 @@
     SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -DNDEBUG")
     SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG")
     ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
+    ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE)
+
+    IF(NOT DXSDK_DIR)
+        STRING(REGEX REPLACE "\\\\" "/" DXSDK_DIR "$ENV{DXSDK_DIR}")
+    ELSE()
+        STRING(REGEX REPLACE "\\\\" "/" DXSDK_DIR "${DXSDK_DIR}")
+    ENDIF()
+    IF(DXSDK_DIR)
+        MESSAGE(STATUS "Using DirectX SDK directory: ${DXSDK_DIR}")
+        SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${DXSDK_DIR}/Include")
+        INCLUDE_DIRECTORIES("${DXSDK_DIR}/Include")
+        LINK_DIRECTORIES("${DXSDK_DIR}/Lib")
+    ENDIF()
+
 ELSE()
     ADD_DEFINITIONS(-Wall)
     CHECK_C_COMPILER_FLAG(-Wextra HAVE_W_EXTRA)
@@ -142,6 +145,7 @@
 CHECK_INCLUDE_FILE(fenv.h HAVE_FENV_H)
 CHECK_INCLUDE_FILE(float.h HAVE_FLOAT_H)
 
+CHECK_LIBRARY_EXISTS(m  powf   "" HAVE_POWF)
 CHECK_LIBRARY_EXISTS(m  sqrtf  "" HAVE_SQRTF)
 CHECK_LIBRARY_EXISTS(m  acosf  "" HAVE_ACOSF)
 CHECK_LIBRARY_EXISTS(m  atanf  "" HAVE_ATANF)
@@ -309,11 +313,11 @@
 IF(ALSA)
     CHECK_INCLUDE_FILE(alsa/asoundlib.h HAVE_ALSA_ASOUNDLIB_H)
     IF(HAVE_ALSA_ASOUNDLIB_H)
-        CHECK_LIBRARY_EXISTS(asound snd_pcm_open "" HAVE_LIBASOUND)
-        IF(HAVE_DLFCN_H OR HAVE_LIBASOUND)
+        CHECK_SHARED_LIBRARY_EXISTS(asound snd_pcm_open 4 "" HAVE_LIBASOUND)
+        IF(HAVE_LIBASOUND OR HAVE_DLFCN_H OR WIN32)
             SET(HAVE_ALSA 1)
             SET(ALC_OBJS  ${ALC_OBJS} Alc/alsa.c)
-            IF(HAVE_DLFCN_H)
+            IF(HAVE_DLFCN_H OR WIN32)
                 SET(BACKENDS  "${BACKENDS} ALSA,")
             ELSE()
                 SET(BACKENDS  "${BACKENDS} ALSA \(linked\),")
@@ -347,12 +351,12 @@
 IF(DSOUND)
     CHECK_INCLUDE_FILE(dsound.h HAVE_DSOUND_H)
     IF(HAVE_DSOUND_H)
-        CHECK_LIBRARY_EXISTS(dsound DirectSoundCreate "" HAVE_LIBDSOUND)
-        IF(HAVE_LIBDSOUND OR WIN32)
+        CHECK_SHARED_LIBRARY_EXISTS(dsound DirectSoundCreate 3 "" HAVE_LIBDSOUND)
+        IF(HAVE_LIBDSOUND OR HAVE_DLFCN_H OR WIN32)
             SET(HAVE_DSOUND 1)
             SET(ALC_OBJS  ${ALC_OBJS} Alc/dsound.c)
 
-            IF(WIN32)
+            IF(HAVE_DLFCN_H OR WIN32)
                 SET(BACKENDS  "${BACKENDS} DirectSound,")
             ELSE()
                 SET(BACKENDS  "${BACKENDS} DirectSound \(linked\),")
@@ -365,12 +369,6 @@
     IF(WINMM)
         CHECK_INCLUDE_FILES("windows.h;mmsystem.h" HAVE_MMSYSTEM_H -D_WIN32_WINNT=0x0500)
         IF(HAVE_MMSYSTEM_H)
-            SET(HAVE_WINMM 1)
-            SET(ALC_OBJS  ${ALC_OBJS} Alc/winmm.c)
-            SET(BACKENDS  "${BACKENDS} WinMM,")
-
-            SET(CMAKE_REQUIRED_LIBRARIES winmm)
-            CHECK_C_SOURCE_COMPILES("int main() {return 0;}" HAVE_LIBWINMM)
-            SET(CMAKE_REQUIRED_LIBRARIES "")
-#            CHECK_LIBRARY_EXISTS(winmm waveInOpen "" HAVE_LIBWINMM)
+            CHECK_SHARED_LIBRARY_EXISTS(winmm waveInOpen 6 "" HAVE_LIBWINMM)
             IF(HAVE_LIBWINMM)
+                SET(HAVE_WINMM 1)
