=== debian/changelog ===
openal-soft (1:1.12.854-0ubuntu1~lucid1) lucid-proposed; urgency=low

  * New upstream release (LP: #565071)
    - Fully backwards compatible
    - Fixed playback when the PulseAudio buffer is calculated to be more than 64KB.
    - Restored compatibility with some older PulseAudio libs.
    - Alternative buffer sizing for PulseAudio, specified using a new config option.
    - Improved buffer size calculations, to prevent drastic latency changes when certain properties (such as ALC_FREQUENCY) are modified.
    - "Not broken" unlike 1.11.753, according to upstream
  * Should fix some remaining crackling issues (LP: #351732, #516435)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 13 May 2010 17:39:09 +0200

openal-soft (1:1.12.854-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #565071)
    - Fully backwards compatible
    - Fixed playback when the PulseAudio buffer is calculated to be more than 64KB.
    - Restored compatibility with some older PulseAudio libs.
    - Alternative buffer sizing for PulseAudio, specified using a new config option.
    - Improved buffer size calculations, to prevent drastic latency changes when certain properties (such as ALC_FREQUENCY) are modified.
    - "Not broken" unlike 1.11.753, according to upstream
  * Should fix some remaining crackling issues (LP: #351732, #516435)
  * Should be ok to sync over; no extra patches

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 16 Apr 2010 15:20:20 -0700
