=== debian/control ===
Source: openal-soft
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
           Andres Mejia <mcitadel@gmail.com>,
           Reinhard Tartler <siretart@tauware.de>,
           Thierry Reding <thierry@doppeltgemoppelt.de>,
           Cyril Brulebois <kibi@debian.org>,
           Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper (>= 7.0.50),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               cmake, portaudio19-dev, libpulse-dev,
Standards-Version: 3.8.4
Section: libs
Vcs-Git: git://git.debian.org/git/pkg-games/openal-soft.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/openal-soft.git
Homepage: http://kcat.strangesoft.net/openal.html
DM-Upload-Allowed: yes

Package: libopenal-dev
Section: libdevel
Architecture: any
Depends: libopenal1 (= ${binary:Version}),
         ${misc:Depends},
Description: Software implementation of the OpenAL API (development files)
 OpenAL, the Open Audio Library, is a joint effort to create an open,
 vendor-neutral, cross-platform API for interactive, primarily spatialized
 audio. OpenAL's primary audience are application developers and desktop
 users that rely on portable standards like OpenGL, for games and other
 multimedia applications.
 .
 This library is meant as a compatible update/replacement to the OpenAL Sample
 Implementation (the SI). The SI has been unmaintained for quite a while, and
 would require a lot of work to clean up. This is a fork the old Windows version
 to attempt an accelerated ALSA version of an OpenAL implementation.
 .
 OpenAL Soft supports mono, stereo, 4-channel, 5.1, 6.1, and 7.1 output, as
 opposed to the SI's 4-channel max (though it did have some provisions for 6
 channel, this was not 5.1, and was seemingly a "late" addition). OpenAL Soft
 does not support the Vorbis and MP3 extensions, however those were considered
 deprecated even in the SI. It does, though, support some of the newer
 extensions like AL_EXT_FLOAT32 and AL_EXT_MCFORMATS for multi-channel and
 floating-point formats, as well as ALC_EXT_EFX for environmental audio effects,
 and others.
 .
 This package contains the files necessary for development.

Package: libopenal1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software implementation of the OpenAL API (shared library)
 OpenAL, the Open Audio Library, is a joint effort to create an open,
 vendor-neutral, cross-platform API for interactive, primarily spatialized
 audio. OpenAL's primary audience are application developers and desktop
 users that rely on portable standards like OpenGL, for games and other
 multimedia applications.
 .
 This library is meant as a compatible update/replacement to the OpenAL Sample
 Implementation (the SI). The SI has been unmaintained for quite a while, and
 would require a lot of work to clean up. This is a fork the old Windows version
 to attempt an accelerated ALSA version of an OpenAL implementation.
 .
 OpenAL Soft supports mono, stereo, 4-channel, 5.1, 6.1, and 7.1 output, as
 opposed to the SI's 4-channel max (though it did have some provisions for 6
 channel, this was not 5.1, and was seemingly a "late" addition). OpenAL Soft
 does not support the Vorbis and MP3 extensions, however those were considered
 deprecated even in the SI. It does, though, support some of the newer
 extensions like AL_EXT_FLOAT32 and AL_EXT_MCFORMATS for multi-channel and
 floating-point formats, as well as ALC_EXT_EFX for environmental audio effects,
 and others.
 .
 This package installs the OpenAL Soft shared library.

Package: libopenal1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libopenal1 (= ${binary:Version}), ${misc:Depends}
Description: Software implementation of the OpenAL API (debugging symbols)
 OpenAL, the Open Audio Library, is a joint effort to create an open,
 vendor-neutral, cross-platform API for interactive, primarily spatialized
 audio. OpenAL's primary audience are application developers and desktop
 users that rely on portable standards like OpenGL, for games and other
 multimedia applications.
 .
 This library is meant as a compatible update/replacement to the OpenAL Sample
 Implementation (the SI). The SI has been unmaintained for quite a while, and
 would require a lot of work to clean up. This is a fork the old Windows version
 to attempt an accelerated ALSA version of an OpenAL implementation.
 .
 OpenAL Soft supports mono, stereo, 4-channel, 5.1, 6.1, and 7.1 output, as
 opposed to the SI's 4-channel max (though it did have some provisions for 6
 channel, this was not 5.1, and was seemingly a "late" addition). OpenAL Soft
 does not support the Vorbis and MP3 extensions, however those were considered
 deprecated even in the SI. It does, though, support some of the newer
 extensions like AL_EXT_FLOAT32 and AL_EXT_MCFORMATS for multi-channel and
 floating-point formats, as well as ALC_EXT_EFX for environmental audio effects,
 and others.
 .
 This package installs the OpenAL Soft library debugging symbols.
